Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 454100 - Security: CVE-2008-2364, CVE-2007-6420: Apache 2.2.9 released, offers significant performance/security improvements
Summary: Security: CVE-2008-2364, CVE-2007-6420: Apache 2.2.9 released, offers signifi...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: httpd
Version: 8
Hardware: All
OS: Linux
low
high
Target Milestone: ---
Assignee: Joe Orton
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-04 16:04 UTC by Gilbert Sebenste
Modified: 2009-01-09 07:50 UTC (History)
1 user (show)

Fixed In Version: 2.2.9-1.fc8
Doc Type: Rebase: Bug Fixes and Enhancements
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-01-09 07:50:45 UTC


Attachments (Terms of Use)

Description Gilbert Sebenste 2008-07-04 16:04:36 UTC
Description of problem: Fedora 8 and 9 use Apache 2.2.8. There are significant 
improvements in 2.2.9 that I have seen on Windows that should also improve the 
performance on Fedora.


Version-Release number of selected component (if applicable): 2.2.9


How reproducible: Always


Additional info: See http://www.apache.org/dist/httpd/CHANGES_2.2.9 for list
of improvements. This also fixes CVE-2007-6420 and CVE-2008-2364, the latter
probably was the one that fixed my high memory usage problem and caused an 
unintentional DOS on a slow Windows server running 2.2.8.

Comment 1 Gilbert Sebenste 2008-07-09 05:00:57 UTC
Additionally, there are two significant security flaws with this, so much so 
that I decided to change the title of the bug to downplay the improvements to 
the rebased version, and spell out the flaws.

Comment 2 Gilbert Sebenste 2008-07-14 20:08:31 UTC
Thanks, Joe. Works for me! Closing this ticket.

Comment 3 Joe Orton 2008-07-15 08:04:11 UTC
Great.  The update has not shipped yet - please leave the bug open, bodhi will
automatically close it with a link to the advisory, as appropriate.

Comment 4 Gilbert Sebenste 2008-07-15 14:37:37 UTC
One quick question, I know you are busy---

Is this a backported patch, or a true rebase to 2.2.9? IOW, are all the changes 
found in the CHANGE_LOG linked above found in this version for F8?

Thanks again!

Gilbert

Comment 5 Joe Orton 2008-07-15 14:46:52 UTC
It's a rebase to 2.2.9, yup.

Comment 6 Gilbert Sebenste 2008-07-15 14:54:03 UTC
Hello Joe,

OK, I was confused why, in the F8 update, only one of the two security flaws 
were shown to be fixed, whereas in the F9 update, both are shown. Since they 
are both fixed in both versions, it's no biggie; I just wanted to be assured 
both were fixed.

Thanks again, and have a great day!

Comment 7 Joe Orton 2008-07-15 15:58:43 UTC
The mod_ssl/OpenSSL issue only affects specific versions of OpenSSL - only F9 is
affected.

Comment 8 Gilbert Sebenste 2008-07-15 16:09:59 UTC
Hello Joe,

Ah, that's right. Thanks for the clarification, and take care!

Comment 9 Tim Taylor 2008-08-05 21:34:00 UTC
I see that this updated httpd package is in the development repo.  When will it be promoted to the updates repo?

Comment 10 Gilbert Sebenste 2008-09-30 17:54:35 UTC
Tim,

I installed it from Koji, and I didn't pay attention to see if this was pushed to updates. If it has, this needs to be closed, and I will do that if it has.

Comment 11 Bug Zapper 2008-11-26 10:57:31 UTC
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 12 Bug Zapper 2009-01-09 07:50:45 UTC
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.